org.jboss.resteasy.client

## Class ProxyConfig

- java.lang.Object
- - org.jboss.resteasy.client.ProxyConfig

- Deprecated.

      @Deprecated
      public class ProxyConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyConfig(ClassLoader loader, ClientExecutor executor, ResteasyProviderFactory providerFactory, EntityExtractorFactory extractorFactory, Map<String,Object> requestAttributes, MediaType serverConsumes, MediaType serverProduces)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientExecutor` | `getExecutor()` Deprecated.
    `EntityExtractorFactory` | `getExtractorFactory()` Deprecated.
    `ClassLoader` | `getLoader()` Deprecated.
    `ResteasyProviderFactory` | `getProviderFactory()` Deprecated.
    `Map<String,Object>` | `getRequestAttributes()` Deprecated.
    `MediaType` | `getServerConsumes()` Deprecated.
    `MediaType` | `getServerProduces()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyConfig

          public ProxyConfig(ClassLoader loader,
                     ClientExecutor executor,
                     ResteasyProviderFactory providerFactory,
                     EntityExtractorFactory extractorFactory,
                     Map<String,Object> requestAttributes,
                     MediaType serverConsumes,
                     MediaType serverProduces)

      Deprecated.

  - ### Method Detail

    - #### getLoader

          public ClassLoader getLoader()

      Deprecated.

    - #### getExecutor

          public ClientExecutor getExecutor()

      Deprecated.

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

      Deprecated.

    - #### getExtractorFactory

          public EntityExtractorFactory getExtractorFactory()

      Deprecated.

    - #### getRequestAttributes

          public Map<String,Object> getRequestAttributes()

      Deprecated.

    - #### getServerConsumes

          public MediaType getServerConsumes()

      Deprecated.

    - #### getServerProduces

          public MediaType getServerProduces()

      Deprecated.

Copyright © 2014. All Rights Reserved.